package be.iminds.ilabt.jfed.rspec.request.ext.flack;

import javax.xml.bind.annotation.*;

/**
 * XSD for http://www.protogeni.net/resources/rspec/ext/flack/1 not found
 * So we just define it ourselves here.
 *
 * <flack:node_info x="474" y="121" unbound="true"/>
 * <flack:link_info x="469" y="496" unboundVlantag="true"/>
 * <flack:interface_info addressBound="false" bound="false"/>
 * <flack:slice_info view="graph"/>
 */

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "")
@XmlRootElement(name = "slice_info")
public class SliceInfo {
    @XmlAttribute(name = "view", required = false)
    private String view;

    public SliceInfo() {
        this.view = null;
    }
    public SliceInfo(String view) {
        this.view = view;
    }

    public String getView() {
        return view;
    }

    public void setView(String view) {
        this.view = view;
    }
}
